| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_ITaperDelegateBase Class Reference
AAX SDK Manual » AAX Library features » Parameter Manager » Taper delegates

`#include <AAX_ITaperDelegate.h>`

Inheritance diagram for AAX_ITaperDelegateBase:
[legend]

## Description

Defines the taper conversion behavior for a parameter.

:Internal to the AAX SDK:

This interface represents a delegate class to be used in conjunction with AAX_IParameter. AAX_IParameter delegates all conversion operations between normalized and real parameter values to classes that meet this interface. You can think of AAX_ITaperDelegate subclasses as simple taper conversion routines that enable a specific taper or range conversion function on an arbitrary parameter.

To demonstrate the use of this interface, we will examine a simple call routine into a parameter:

  1. The host application calls into the plug-in's AAX_CParameterManager with a Parameter ID and a new normalized parameter value. This new value could be coming from an automation lane, a control surface, or any other parameter control; from the plug-in's perspective, these are all identical.

  2. The AAX_CParameterManager finds the specified AAX_CParameter and calls AAX_IParameter::SetNormalizedValue() on that parameter

  3. AAX_IParameter::SetNormalizedValue() results in a call into the parameter's concrete taper delegate to convert the normalized value to a real value.

Using this pattern, the parameter manager is able to use real parameter values without actually knowing how to perform the conversion between normalized and real values.

The inverse of the above example can also happen, e.g. when a control is updated from within the data model. In this case, the parameter can call into its concrete taper delegate in order to normalize the updated value, which can then be passed on to any observers that require normalized values, such as the host app.

For more information about the parameter manager, see the Parameter Manager documentation page.

## Public Member Functions
virtual | ~AAX_ITaperDelegateBase ()
| Virtual destructor.

## Constructor & Destructor Documentation

## ◆ ~AAX_ITaperDelegateBase()

virtual AAX_ITaperDelegateBase::~AAX_ITaperDelegateBase | ( |  | ) |
| inline virtual

Virtual destructor.

Note
  This destructor MUST be virtual to prevent memory leaks.

The documentation for this class was generated from the following file:

- AAX_ITaperDelegate.h